<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /vagrant/src/Form</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/style.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/vagrant/src</a></li>
         <li class="breadcrumb-item"><a href="index.html">Form</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="NewPasswordType.php.html#11">App\Form\NewPasswordType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PasswordChangeType.php.html#12">App\Form\PasswordChangeType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PasswordRequestType.php.html#10">App\Form\PasswordRequestType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceFilterType.php.html#11">App\Form\ProductPresenceFilterType</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceType.php.html#14">App\Form\ProductPresenceType</a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="NewPasswordType.php.html#13"><abbr title="App\Form\NewPasswordType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PasswordChangeType.php.html#14"><abbr title="App\Form\PasswordChangeType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PasswordRequestType.php.html#12"><abbr title="App\Form\PasswordRequestType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceFilterType.php.html#13"><abbr title="App\Form\ProductPresenceFilterType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceFilterType.php.html#20"><abbr title="App\Form\ProductPresenceFilterType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceType.php.html#16"><abbr title="App\Form\ProductPresenceType::buildForm">buildForm</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceType.php.html#37"><abbr title="App\Form\ProductPresenceType::configureOptions">configureOptions</abbr></a></td><td class="text-right">0%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.26</a> using <a href="https://secure.php.net/" target="_top">PHP 8.1.16</a> at Sat Mar 11 11:01:13 UTC 2023.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([5,0,0,0,0,0,0,0,0,0,0,2], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([7,0,0,0,0,0,0,0,0,0,0,5], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"NewPasswordType.php.html#11\">App\\Form\\NewPasswordType<\/a>"],[100,2,"<a href=\"PantryType.php.html#10\">App\\Form\\PantryType<\/a>"],[0,1,"<a href=\"PasswordChangeType.php.html#12\">App\\Form\\PasswordChangeType<\/a>"],[0,1,"<a href=\"PasswordRequestType.php.html#10\">App\\Form\\PasswordRequestType<\/a>"],[0,2,"<a href=\"ProductPresenceFilterType.php.html#11\">App\\Form\\ProductPresenceFilterType<\/a>"],[0,2,"<a href=\"ProductPresenceType.php.html#14\">App\\Form\\ProductPresenceType<\/a>"],[100,3,"<a href=\"UserLoginType.php.html#11\">App\\Form\\UserLoginType<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"NewPasswordType.php.html#13\">App\\Form\\NewPasswordType::buildForm<\/a>"],[100,1,"<a href=\"PantryType.php.html#12\">App\\Form\\PantryType::buildForm<\/a>"],[100,1,"<a href=\"PantryType.php.html#20\">App\\Form\\PantryType::configureOptions<\/a>"],[0,1,"<a href=\"PasswordChangeType.php.html#14\">App\\Form\\PasswordChangeType::buildForm<\/a>"],[0,1,"<a href=\"PasswordRequestType.php.html#12\">App\\Form\\PasswordRequestType::buildForm<\/a>"],[0,1,"<a href=\"ProductPresenceFilterType.php.html#13\">App\\Form\\ProductPresenceFilterType::buildForm<\/a>"],[0,1,"<a href=\"ProductPresenceFilterType.php.html#20\">App\\Form\\ProductPresenceFilterType::configureOptions<\/a>"],[0,1,"<a href=\"ProductPresenceType.php.html#16\">App\\Form\\ProductPresenceType::buildForm<\/a>"],[0,1,"<a href=\"ProductPresenceType.php.html#37\">App\\Form\\ProductPresenceType::configureOptions<\/a>"],[100,1,"<a href=\"UserLoginType.php.html#13\">App\\Form\\UserLoginType::buildForm<\/a>"],[100,1,"<a href=\"UserLoginType.php.html#20\">App\\Form\\UserLoginType::configureOptions<\/a>"],[100,1,"<a href=\"UserLoginType.php.html#28\">App\\Form\\UserLoginType::getBlockPrefix<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
